/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRFB                                                     */
/* Tabela : PRODFABRIC                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 22/01/2004 - Luiz Otvio de Souza                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PRFB
BEFORE INSERT OR UPDATE OR DELETE
ON PRODFABRIC FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPRFB := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPRODUTO,0) <> NVL(:NEW.CDPRODUTO,0)) OR
         (NVL(:OLD.CDFABRIC,0)  <> NVL(:NEW.CDFABRIC,0))  THEN
         :NEW.DTULTATUPRFB := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRODFABRIC', '', 'CDPRODUTO='||:OLD.CDPRODUTO||';CDFABRIC='||:OLD.CDFABRIC||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRODFABRIC MODIFY DTULTATUPRFB DEFAULT SYSDATE
/
